This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 726860 - [abrt] gnumeric-1:1.10.16-1.fc14: g_utf8_get_char: Process /usr/bin/gnumeric-1.10.16 was killed by signal 11 (SIGSEGV)
[abrt] gnumeric-1:1.10.16-1.fc14: g_utf8_get_char: Process /usr/bin/gnumeric-...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnumeric (Show other bugs)
14
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Huzaifa S. Sidhpurwala
Fedora Extras Quality Assurance
abrt_hash:d25d710318884ced217910561ab...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-29 21:04 EDT by aillescastecdes
Modified: 2011-08-22 11:14 EDT (History)
3 users (show)

See Also:
Fixed In Version: goffice-0.8.17-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-11 19:31:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (61.30 KB, text/plain)
2011-07-29 21:04 EDT, aillescastecdes
no flags Details

  None (edit)
Description aillescastecdes 2011-07-29 21:04:44 EDT
abrt version: 1.1.18
architecture: x86_64
Attached file: backtrace, 62771 bytes
cmdline: gnumeric
comment: I'm using latinamerica keyboard configuration and running compiz, gdesklets and screenlets. 7.8GiB RAM, NVIDIA driver 260.19.36 for a GeForce 9400 GT, an Intel Core2 Quad Q9400
component: gnumeric
Attached file: coredump, 17596416 bytes
crash_function: g_utf8_get_char
executable: /usr/bin/gnumeric-1.10.16
kernel: 2.6.35.13-92.fc14.x86_64
package: gnumeric-1:1.10.16-1.fc14
rating: 4
reason: Process /usr/bin/gnumeric-1.10.16 was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1311984904
uid: 500

How to reproduce
-----
1.typing in the cell, the sequence of chars [' the program crashes instantly
2.
3.
Comment 1 aillescastecdes 2011-07-29 21:04:46 EDT
Created attachment 515953 [details]
File: backtrace
Comment 2 Julian Sikorski 2011-07-30 04:02:33 EDT
Happens on F15 too.
Comment 3 M Welinder 2011-07-30 06:07:04 EDT
Fixed upstream.
Comment 4 Julian Sikorski 2011-07-30 06:09:01 EDT
When is the a new release planned?
Comment 5 M Welinder 2011-07-30 10:07:20 EDT
When I find the time.
Comment 6 Julian Sikorski 2011-07-30 10:11:50 EDT
OK, I'll add the fix to the package then.
Comment 7 Fedora Update System 2011-07-30 11:08:45 EDT
gnumeric-1.10.16-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gnumeric-1.10.16-4.fc16
Comment 8 Fedora Update System 2011-07-30 11:11:19 EDT
gnumeric-1.10.16-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gnumeric-1.10.16-2.fc15
Comment 9 Fedora Update System 2011-07-30 11:12:11 EDT
gnumeric-1.10.16-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gnumeric-1.10.16-2.fc14
Comment 10 Fedora Update System 2011-08-01 16:17:29 EDT
Package gnumeric-1.10.16-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnumeric-1.10.16-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gnumeric-1.10.16-4.fc16
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2011-08-02 17:09:20 EDT
goffice-0.8.17-1.fc16, gnumeric-1.10.17-1.fc16, gnome-chemistry-utils-0.12.8-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/goffice-0.8.17-1.fc16,gnumeric-1.10.17-1.fc16,gnome-chemistry-utils-0.12.8-4.fc16
Comment 12 Fedora Update System 2011-08-02 17:11:13 EDT
goffice-0.8.17-1.fc14,gnumeric-1.10.17-1.fc14,gnome-chemistry-utils-0.12.8-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/goffice-0.8.17-1.fc14,gnumeric-1.10.17-1.fc14,gnome-chemistry-utils-0.12.8-4.fc14
Comment 13 Fedora Update System 2011-08-02 17:15:22 EDT
goffice-0.8.17-1.fc15,gnumeric-1.10.17-1.fc15,gnome-chemistry-utils-0.12.8-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/goffice-0.8.17-1.fc15,gnumeric-1.10.17-1.fc15,gnome-chemistry-utils-0.12.8-4.fc15
Comment 14 Fedora Update System 2011-08-11 19:31:03 EDT
goffice-0.8.17-1.fc14, gnumeric-1.10.17-1.fc14, gnome-chemistry-utils-0.12.8-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2011-08-11 19:33:44 EDT
goffice-0.8.17-1.fc15, gnumeric-1.10.17-1.fc15, gnome-chemistry-utils-0.12.8-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2011-08-22 11:14:35 EDT
goffice-0.8.17-1.fc16, gnumeric-1.10.17-1.fc16, gnome-chemistry-utils-0.12.8-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.